function [x,xp]=resoutform_equadiff01(k)


% resoutform_equadiff01(k) : rsolution d'une quation diffrentielle en formel :
%
%   x''(t)+cx'(t)+kx(t)=f*cos(omega*t), sur [0,T]
%            avec x(0)=x0 et x'(0)=xp0 
% et k=1  : cas non raisonnant :  k~=c^2/4
%    k=0  : cas raisonnant :  k=c^2/4
%
%	
%	* variables d'entres :
%     * k=0 (cas raisonnant :  k=c^2/4) ou k=1 (cas non raisonnant :  k~=c^2/4)
%	* variables de sortie :
%     * x  : chane contenant la solution (vectorialise) ;
%     * xp  : chane contenant la drive de solution (vectorialise) ;
%
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************


% Contrles d'entre
% nombre d'arguments
if nargin~=1
   error('nombre d''arguments de la fonction incorrect');
end
   
% Corps d'algorithme
if k
   dudu=dsolve('D2x+c*Dx+k*x=f*cos(omega*t)','x(0)=x0','Dx(0)=xp0','t');
else
   dudu=dsolve('D2x+c*Dx+c^2/4*x=f*cos(omega*t)','x(0)=x0','Dx(0)=xp0','t');
end
x=vectorize(char(dudu));
syms c k f omega t x0 xp0;
xp=diff(dudu,t);
xp=vectorize(char(xp));
