function [res]=solution_exactep_01(k,c,f,omega,x0,xp0,t)

%  solution_exactep_01: calcul de la solution exacte d'une qua diff
%
%
% *********************************************************
%
% res =solution_exactep_01(k,c,f,omega,x0,xp0,t) : calcul de la drive de la solution
%       exacte de l'quation diffrentielle (faite une fois pour tout en symbolique
%       et grce  resoutform_equadiff01)
%
%   x''(t)+cx'(t)+kx(t)=f*cos(omega*t), sur [0,]
%            avec x(0)=x0 et x'(0)=xp0
%
%	
%	* variables d'entres :
%      k,c,f,omega,x0 et xp0 dfinis ci-dessus
%      t : temps o sont calculs la solution exacte;
%
%	* sortie :
%     res=valeur de drive de la solution exacte;
%
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%    Voir la fonction resoutform_equadiff01
%
% *********************************************************
%
%

test=c^2-4*k;
if test~=0
  res=f.*(-omega.*sin(omega.*t).*k+omega.^3.*sin(omega.*t)+...
      cos(omega.*t).*c.*omega.^2)./(c.^2.*omega.^2+k.^2-...
      2.*k.*omega.^2+omega.^4)-1./2.*(-x0.*c.^3.*omega.^2-2.*xp0.*c.^2.*omega.^2-...
      (c.^2-4.*k).^(1./2).*x0.*c.^2.*omega.^2+2.*c.*x0.*k.*omega.^2-c.*x0.*k.^2-...
      c.*x0.*omega.^4+c.*f.*k+f.*c.*omega.^2-2.*xp0.*omega.^4-...
      (c.^2-4.*k).^(1./2).*x0.*omega.^4-(c.^2-4.*k).^(1./2).*f.*omega.^2+...
      4.*xp0.*k.*omega.^2+2.*(c.^2-4.*k).^(1./2).*x0.*k.*omega.^2-2.*xp0.*k.^2-...
      (c.^2-4.*k).^(1./2).*x0.*k.^2+(c.^2-4.*k).^(1./2).*f.*k)./(c.^2-...
      4.*k).^(1./2)./(c.^2.*omega.^2+k.^2-2.*k.*omega.^2+omega.^4).*(-1./2.*c+...
      1./2.*(c.^2-4.*k).^(1./2)).*exp(-1./2.*(c-(c.^2-4.*k).^(1./2)).*t)+...
      1./2.*(-2.*xp0.*omega.^4+2.*c.*x0.*k.*omega.^2+(c.^2-...
      4.*k).^(1./2).*x0.*c.^2.*omega.^2-2.*(c.^2-4.*k).^(1./2).*x0.*k.*omega.^2-...
      x0.*c.^3.*omega.^2+c.*f.*k-c.*x0.*k.^2-c.*x0.*omega.^4-(c.^2-4.*k).^(1./2).*f.*k+...
      (c.^2-4.*k).^(1./2).*f.*omega.^2+(c.^2-4.*k).^(1./2).*x0.*k.^2+(c.^2-...
      4.*k).^(1./2).*x0.*omega.^4-2.*xp0.*c.^2.*omega.^2+4.*xp0.*k.*omega.^2+...
      f.*c.*omega.^2-2.*xp0.*k.^2)./(c.^2-4.*k).^(1./2)./(c.^2.*omega.^2+...
      k.^2-2.*k.*omega.^2+omega.^4).*(-1./2.*c-1./2.*(c.^2-4.*k).^(1./2)).*exp(-...
      1./2.*(c+(c.^2-4.*k).^(1./2)).*t);   
else   
  res=4.*f.*(-sin(omega.*t).*omega.*c.^2+4.*omega.^3.*sin(omega.*t)+...
      4.*cos(omega.*t).*c.*omega.^2)./(c.^4+8.*c.^2.*omega.^2+...
      16.*omega.^4)+1./2.*(4.*f.*c.^2-16.*f.*omega.^2-x0.*c.^4-...
      8.*x0.*c.^2.*omega.^2-16.*x0.*omega.^4)./(c.^4+8.*c.^2.*omega.^2+...
      16.*omega.^4).*c.*exp(-1./2.*t.*c)+1./4.*(-x0.*c.^3-2.*xp0.*c.^2+...
      4.*f.*c-4.*c.*x0.*omega.^2-8.*xp0.*omega.^2)./(c.^2+...
      4.*omega.^2).*c.*exp(-1./2.*t.*c).*t-1./2.*(-x0.*c.^3-...
      2.*xp0.*c.^2+4.*f.*c-4.*c.*x0.*omega.^2-...
      8.*xp0.*omega.^2)./(c.^2+4.*omega.^2).*exp(-1./2.*t.*c);   
end
